Subject: Re: [PATCH net-next v1 1/4] net: dsa: user: Skip set_mac_eee() if support_eee() is implemented

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 24 Apr 2025 14:11:36 +0100

On Thu, Apr 24, 2025 at 03:02:19PM +0200, Oleksij Rempel wrote:
> Some switches with integrated PHYs, like Microchip KSZ, manage EEE
> internally based on PHY advertisement and link resolution. If
> ds->ops->support_eee() is implemented, assume EEE is supported
> and skip requiring set_mac_eee().
> 
> Signed-off-by: Oleksij Rempel <[email-masked]>

If you look at the conditions here, there's a path for legacy where
set_mac_eee() is mandatory (which is what you're changing to be
optional) and there's a path for phylink based EEE where set_mac_eee()
becomes optional.

I would rather we left legacy alone, except to remove it entirely.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!